Skip to main content
POST
Error

Authorizations

X-API-KEY
string
header
required

The authorization key obtained from the CSP organization.

Headers

X-B3-TraceId
string

The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.

X-B3-SpanId
string

The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.

X-B3-ParentSpanId
string

The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.

Path Parameters

id
string
required

The id parameter is the transaction ID on which the original transaction was processed.

Maximum string length: 36

Body

application/json

The Refund object provides a way to reverse a charge, refunding money to the customer. You can create, and retrieve individual Refunds; as well as list all existing Refunds. Refunds require a transaction – a refund can only be executed against an existing, successfully captured transaction. Refunds can be issued for any valid amount (in the currency of the original transaction) up to the as-yet un-refunded balance of the original transaction. You can issue any number of refunds on a given transaction (until it has been fully refunded).

id
string
required

A unique identifier.

Maximum string length: 128
created
string<date-time>
required

The date/time at which the refund was requested.

partnerCode
string
required

A unique code representing the OTT submitting the refund.

amount
number
required

Amount of the refund. Must be positive (non-zero) and less than or equal to the as-yet-un-refunded balance of the specified transaction. Ignored if refundItems are specified.

currency
string
required

The ISO 4217 Currency Code of this transaction; defaults to USD.

account
object
required

The Account represents an Aggregator’s customer.

payment_method
object
required
refund_items
object[]
required

For item-level refunds, specifies the transaction items to refund with details.

note
string

Free-form specified note about refund.

reasonCode
enum<string>

Reason code for refund.

Available options:
fraud,
purchase-not-approved,
entitlement-error,
billing-error,
account-cancelled,
general-error
metadata
object

A set of key/value pairs that you can attach to an object. Useful for storing additional information.

Response

A Validate Transaction Response object.

status
enum<string>
required

Indicates if the request was processed succesfully or not.

Available options:
success,
failure
Maximum string length: 32
confirmationId
string
required

An aggregator generated identifier to keep track of the confirmation received.

Maximum string length: 256